//
// CreateOrUpdateRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct CreateOrUpdateRequest: Codable, JSONEncodable, Hashable {

    public var transaction: Transaction?

    public init(transaction: Transaction? = nil) {
        self.transaction = transaction
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case transaction
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(transaction, forKey: .transaction)
    }
}

